export declare const CaseConvention: Readonly<{
    readonly Lowercase: 0;
    readonly Uppercase: 1;
    readonly PascalCase: 2;
    readonly CamelCase: 3;
    readonly SnakeCase: 4;
    readonly ScreamingSnakeCase: 5;
    readonly KebabCase: 6;
    readonly ScreamingKebabCase: 7;
}>;
export type CaseConvention = typeof CaseConvention[keyof typeof CaseConvention];
export declare function convertCase(value: string, convention: CaseConvention): string;
