import { Deserialize } from './de';
import { Serialize } from './ser';
export declare class Registry {
    serializers: Map<Function, Serialize<any>>;
    deserializers: Map<Function, Deserialize>;
    registerSerializer<T>(ctor: Function, serialize: Serialize<T>): void;
    registerDeserializer(ctor: Function, deserialize: Deserialize): void;
}
export declare const GlobalRegistry: Registry;
export declare const registerSerializer: <T>(ctor: Function, serialize: Serialize<T>) => void;
export declare const registerDeserializer: (ctor: Function, deserialize: Deserialize) => void;
